package com.prolog.cs.biz.outbound.model.vo.check;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("拼箱信息")
public class BarCodeDVO implements Serializable {

    private static final long serialVersionUID = 3888869917031333748L;
    @ApiModelProperty(value = "条码头表id")
    private String barcodeId;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品id")
    private String itemId;

    @ApiModelProperty(value = "行ID")
    private String barcodeDId;

    @ApiModelProperty(value = "容器号")
    private String containerCode;

    @ApiModelProperty(value = "拣货任务明细id")
    private String pickTaskDId;


    @ApiModelProperty(value = "打印次数")
    private Integer printCount;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "件数")
    private BigDecimal uomQty;

    @ApiModelProperty(value = "批次号")
    private String batchNum;

    @ApiModelProperty("外箱箱规")
    private BigDecimal caseConversionRate;

    @ApiModelProperty("外箱箱规")
    private BigDecimal checkQty;

    @ApiModelProperty("取消标识")
    private String cancelFlag;

    @ApiModelProperty("取消标识")
    private String barcode;

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag;
    }

    public BigDecimal getCheckQty() {
        return checkQty;
    }

    public void setCheckQty(BigDecimal checkQty) {
        this.checkQty = checkQty;
    }

    public BigDecimal getCaseConversionRate() {
        return caseConversionRate;
    }

    public void setCaseConversionRate(BigDecimal caseConversionRate) {
        this.caseConversionRate = caseConversionRate;
    }

    public Integer getPrintCount() {
        return printCount;
    }

    public void setPrintCount(Integer printCount) {
        this.printCount = printCount;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public BigDecimal getUomQty() {
        return uomQty;
    }

    public void setUomQty(BigDecimal uomQty) {
        this.uomQty = uomQty;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getBarcodeDId() {
        return barcodeDId;
    }

    public void setBarcodeDId(String barcodeDId) {
        this.barcodeDId = barcodeDId;
    }

    public String getBarcodeId() {
        return barcodeId;
    }

    public void setBarcodeId(String barcodeId) {
        this.barcodeId = barcodeId;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }
}
